View Issue Details

IDProjectCategoryLast Update
0024448AI War 2[All Projects] Balance IssueFeb 20, 2021 11:19 am
ReporterZweihander2021Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.742 Hacking Balance 
Fixed in VersionBeta 2.744 Scourge Industries, Inc 
Summary0024448: Hacking points not enough for spire campaign
DescriptionRoutinely running out of hacking points in spire campaign due to new amount of hacking points needed for repeated hacks of ARS and DSS. Perhaps its possible to give the players 15 - 30 HAP per spire city built to help alleviate that?
TagsNo tags attached.

Activities

BadgerBadger

Feb 18, 2021 8:43 pm

manager   ~0060568

If more HaP needs to be added, I'd suggest adding it to spire debris

x4000Bughunter

Feb 19, 2021 10:18 am

administrator   ~0060570

I am open to some sort of balance adjustment, but in the spire campaign aren't you generally going to be trading regular fleet stuff for spire stuff? I'm kind of surprised that you'd bother hacking the ARS so many times in a spire game, since the more direct path to power is through city upgrades and relic capture. I wonder if there's something I'm missing.

Overall in general in any game, though, you aren't supposed to be able to empty out all of every ARS and evert TSS and so on. You take the ones you want, and the 4th or 3rd final hack (respectively) is something often to be avoided unless you're desperate for a new ship line -- that cost is way over what it would be worth under normal circumstances. For spire in particular, doing the first 1-2 hacks on an ARS or TSS, and probably taking their planets to cut the cost in half (if you're being fully expansionist), should be plenty.

Not having enough hacking points to afford all the things is by design in general, I will say; overall you should be able to afford 1/3 to 1/5 of the available hacks in a given game. Bear in mind that most of these hacks cost no AIP, unlike before when you usually would capture a GCA (or ignore it). So the balance comes from you having to pick and choose your targets, because you can only afford so much, or capturing more planets to get the extra hacking points to afford your spending. But capturing more planets comes with an AIP rise, so there's where the pro's and con's circle kind of winds up.

At the moment I don't have any details so I can't say for sure, but someone running out of hacking points routinely, especially if they are fully emptying every ARS and similar that they see, is actually intended rather than a balance issue.

ArnaudB

Feb 19, 2021 11:22 am

reporter   ~0060571

That's odd since there are quite a lot of point.

I suspect it's more that players aren't taking as many planets as Spire allow them to. In particular, taking planets with ARS and TSS immensely reduce the cost in hackpoint point, since it halve them.

Seeing Magedrifter's victory on pure diff10, the hacking points seem nicely balanced right now.

Zweihander2021

Feb 19, 2021 10:19 pm

reporter   ~0060573

I think this might just be a learn to play issue. Perhaps the tips bar or tutorials or in game intel tab can remind you to take more planets? I would call this resolved for now, it's just that some other plays also had the same issue, but I don't think is a real issue anymore.

ArnaudB

Feb 20, 2021 6:12 am

reporter   ~0060575

Add a note to the hacking point description, when hovering, stating that:

"Hacks points have to be spent wisely, as there are far more ways to expend them than to gain more."

Also, if DLC1 is installed:

"Besides communication nodes, hack points are obtained by taking planets. When finding yourself short on point, consider taking more, especially when playing with certain minor factions like Fallen Spire or the Scourge".

x4000Bughunter

Feb 20, 2021 11:14 am

administrator   ~0060576

Part 1:

* Added wording in the tooltips for hacking ARS and TSS that says " The last sector can also be prohibitively expensive to hack, so unless you have no other options you may wish to leave it at just three." (or two in the case of ARS.

x4000Bughunter

Feb 20, 2021 11:19 am

administrator   ~0060577

Thank you! This is actually a really useful player-education oversight, as the intent was definitely not clear in game. Now hopefully it will be.

* The old hacking tooltip was really not accurate anymore. It read:
** Hacking: Used to exploit flaws in the AI internal network. The more hacking points you use against an AI, the stronger that AI's response to your hacks will be. Only points spent against an AI owned structure count.
** New version reads:
*** Hacking: general-purpose nanomachines used to improve your own units, sabotage enemies, or steal from enemies. Note that you are in a target-rich environment, and likely cannot afford even a third of the hacks available to you. Choose your hacks wisely, and capture more planets or destroy distribution nodes to get more hacking points. Also note: the more hacking points you use against an AI, the stronger that AI's response to your hacks will be. Only points spent against an AI-owned structure count.

Issue History

Date Modified Username Field Change
Feb 18, 2021 8:42 pm Zweihander2021 New Issue
Feb 18, 2021 8:43 pm BadgerBadger Note Added: 0060568
Feb 19, 2021 10:18 am x4000Bughunter Note Added: 0060570
Feb 19, 2021 11:22 am ArnaudB Note Added: 0060571
Feb 19, 2021 10:19 pm Zweihander2021 Note Added: 0060573
Feb 20, 2021 6:12 am ArnaudB Note Added: 0060575
Feb 20, 2021 11:14 am x4000Bughunter Note Added: 0060576
Feb 20, 2021 11:19 am x4000Bughunter Assigned To => x4000Bughunter
Feb 20, 2021 11:19 am x4000Bughunter Status new => resolved
Feb 20, 2021 11:19 am x4000Bughunter Resolution open => fixed
Feb 20, 2021 11:19 am x4000Bughunter Fixed in Version => Beta 2.744 Scourge Industries, Inc
Feb 20, 2021 11:19 am x4000Bughunter Note Added: 0060577